Package uk.ac.starlink.connect

# Class NodeComparator

java.lang.Object
uk.ac.starlink.connect.NodeComparator

All Implemented Interfaces:
  `Comparator<Node>`

public class NodeComparator extends Object implements Comparator<Node>
Comparator for nodes. It returns all Branch nodes first, followed by all Leaf nodes. Within each group, items are ordered alphabetically. This is a singleton class.

Since:
  25 Feb 2005
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Node i1, Node i2)`
`Collator`
`getCollator()`
Returns the collator used to perform alphabetic ordering.
`static NodeComparator`
`getInstance()`
Returns an instance of this class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Method Details

### getCollator

public Collator getCollator()
Returns the collator used to perform alphabetic ordering. May be overridden to modify behaviour.

Returns:
  collator

### compare

public int compare(Node i1, Node i2)

Specified by:
  `compare` in interface `Comparator<Node>`

### getInstance

public static NodeComparator getInstance()
Returns an instance of this class.

Returns:
  sole instance